makeclass("unittests")

function unittests.globaldb()
    local g1a = global.table("unittest-g1")
    local g2a = global.table("unittest-g2")
    local g1b = global.table("unittest-g1")
    local g2b = global.table("unittest-g2")
    assert(g1a == g1b)
    assert(g2a == g2b)
    assert(g1a.__global == "unittest-g1")
    assert(g2a.__global == "unittest-g2")
end

